Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
tutoriel:utiliser_carte_identite_electronique_belge [Le 16/06/2010, 21:57]
212.239.199.216
tutoriel:utiliser_carte_identite_electronique_belge [Le 12/01/2020, 13:28] (Version actuelle)
213.211.144.99 [Voir aussi]
Ligne 1: Ligne 1:
-{{tag>Intrepid Jaunty ​sécurité ​belgique}}+{{tag>Trusty Xenial tutoriel matériel ​sécurité}}
 ---- ----
  
-====== Comment utiliser la carte d'​identité électronique (Belgique)====== 
  
-<​note>//​L'​installation du lecteur de carte et la configuration des logiciels telles qu'indiquées dans cette documentation,​ ont été réalisées sur Ubuntu 8.10 et 9.04//</​note>​+====== Utiliser une carte d'identité électronique belge======
  
 +La carte d'​identité belge et son logiciel offrent une méthode sûre d'​authentification des citoyens belges. ​ Elle consiste en l'​utilisation d'une clef privée et d'une clef publique signée ([[:​gnupg|voir authentification par clef publique et clef privée]]) par l'​autorité de certification propre à l'​État belge. ​
  
 +L'​ensemble peut être utilisée pour signer électroniquement des documents lorsque la carte d'​identité est introduite dans le lecteur. Cette signature a une valeur légale, faites attention !\\
 +Cette page a pour but de décrire la procédure d'​installation du lecteur de carte d'​identité électronique belge. Les applications de la carte d’identité électronique belge (eID) sont par exemple la Tax-On-Web (Déclaration à l'​Impôt),​ la gestion de dossiers de sécurité sociale (mutuelle, syndicat, ONP, Registre National) etc. Ce lecteur fonctionne également avec les cartes de crédit.
  
 +===== Pré-requis =====
  
- 
-===== Pré-requis ===== 
   * Disposer des [[:​sudo|droits d'​administration]].   * Disposer des [[:​sudo|droits d'​administration]].
   * Disposer d'une connexion à Internet configurée et activée.   * Disposer d'une connexion à Internet configurée et activée.
-  * Avoir activé ​l'accès au dépôt Universe.+  ​* Disposer d'un lecteur de cartes compatibles [[wpfr>​PC/​SC|PC/​SC]] 
 +  ​* Avoir [[:​tutoriel:​comment_installer_un_paquet|installé les paquets]] **[[apt>​pcscd,​libccid,​libacsccid1|pcscd libccid libacsccid1]]**. 
 +<​note>​La bibliothèque **libacsccid1** remplace les anciennes bibliothèques **libacr38u** et **libacr38ucontrol0** qui ne sont plus disponibles dans les dépôts à partir de [[:​bionic|Bionic 18.04 LTS]]. Cette nouvelle bibliothèque supporte une multitude de lecteurs de carte utilisant des puces du fabricant ACS(([[https://​www.acs.com.hk/​|Advanced Card System Ltd.]])).</​note>​ 
 +<note tip>La gestion de cette transition ne s'est pas faite correctement. 
 +\\ 
 +\\ 
 +D'une part, la communauté aurait dû plus participer pour signaler que le retrait de ces bibliothèques allait engendrer un impact sur l'utilisation de certains logiciels. Il aurait fallu demander qu'un paquet de transition redirigeant **libacr38u** et **libacr38ucontrol0** vers **libacsccid1** soit crée pour le temps de la transition. 
 +  * **[[https://​bugs.launchpad.net/​ubuntu/​+source/​belpic/​+bug/​1781819|Un bug]]** a été introduit sur Launchpad. Si vous êtes affecté par ce problème, vous pouvez le signaler en allant cliquer sur "This bug affects you" (+1) pour que celui-ci ait une chance d'​être corrigé.
  
 +D'​autre part, le service fédéral en charge du développement du paquet **eid-mw** aurait dû enlever dans les recommandations du paquet pour la version [[:​bionic|Bionic 18.04 LTS]] le paquet **libacr38u** (qui n'​existe plus) et y mettre à la place le paquet **libacsccid1**.
 +  * Vous pouvez également signaler que vous êtes affecté par ce problème en contactant le bureau d'​assistance du Registre National (Belpic) via leur [[https://​eid.belgium.be/​fr/​contact|formulaire en ligne]].
 +</​note>​
  
-===== Installation ===== 
-  * [[:​tutoriel:​comment_installer_un_paquet|Installez les paquets]] suivants en cliquant sur le lien **[[apt://​libacr38u,​libacr38ucontrol0,​pcscd,​libpcsclite-dev,​beidgui|libacr38u libacr38ucontrol0 pcscd libpcsclite-dev beidgui]]**. Il a plusieurs paquets qui s'​installent successivement. 
-  * Pensez à installer également un driver pour votre lecteur de carte, comme **[[apt://​libccid|libccid]]** si c'est un lecteur USB. 
-  * Redémarrez votre ordinateur. 
  
 +=====Installation=====
 +====Ajout du dépôt====
 +Pour installez les pilotes nécessaires au bon fonctionnement de votre carte il faut installer un paquet qui va ajouter les [[:​depots|dépôts]] requis :
 +  * Téléchargez le paquet **eid-archive.deb** fourni par l'​État belge ([[https://​eid.belgium.be/​fr|via ici]]) à cette [[ https://​eid.belgium.be/​fr/​installation-du-logiciel-eid-sous-linux|adresse]].
 +  * Clic droit sur l'​archive téléchargée et choisir " ouvrir avec installation de l'​application"​.
 +  * Puis [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|rechargez la liste des paquets]].
  
 +====Installation des pilotes====
 +Il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer d’abord le paquet]], **[[apt>​eid-mw]]**,​ puis **[[apt>​eid-viewer]]**. ​
  
-===== Lecture ​de votre carte =====+===== Intégration dans les navigateurs web ===== 
 +Pour s'​authentifier,​ les navigateurs doit pouvoir accéder aux certificats ​de votre carte d'​identité électronique. D'où la necessité de la procédure qui suit. 
 +====Firefox====  
 +(FIXME : ce qui suit n'est peut-être plus utile. André confirme que le paquet eid-mw de 2018 contient déjà l'​extension et qu'il faut en désinstaller une autre; on peut maintenant brancher le lecteur "en marche"​ mais il faut insérer la carte à temps. Cependant, yureee a dû installer l'​extension Firefox sur Xubuntu 18.04 LTS.) 
 +  * Téléchargez et installez l'​extension **eID Belgique** [[https://​addons.mozilla.org/​fr/​firefox/​addon/​belgium-eid/​|ici]] ou via votre gestionnaire de modules :  
 +  * Redémarrer Firefox et connectez-vous une première fois à ''​https://​my.belgium.be/​index.html''​ : ça ne marche pas, et __c’est normal__ : les certificats viennent seulement d’être ajoutés, il reste à les autoriser… 
 +  * Pour cela allez dans //Menu Firefox (à droite) -> Préférences -> Avancé -> Certificats -> Afficher les certificats -> Chercher les Certificats Belgian Root (CA, CA1, CA2, CA3 et/ou CA4)//, 
 +  * Pour chacun d’eux ​ cliquez sur la ligne située sous la petite flèche de ce certificat. Cliquez sur //Modifier la confiance//,​ cochez les trois cases et cliquez sur « OK ». Cliquez deux fois sur « OK » pour refermer le Gestionnaire de certificats et les Options. 
 +  * Redémarrer Firefox ... :-D 
  
-Vous trouverez une application "Lire et Gérer"​ dans "​Applications ​Accessoires"​. Elle vous permet ​de lire les informations contenues sur la carte ainsi que les certificats. Vous pouvez aussi changer votre code PIN.+<note important>Le lecteur ​de carte doit être branché AVANT de lancer firefox !!!</​note>​
  
-<​note>​Sans redémarrage du PC, le logiciel de lecture apparaît bien dans le menu et il fonctionne, mais dès que vous essaierez de lire la carte d'​identité électronique,​ une "​erreur inconnue"​ apparaîtra. Il faut donc redémarrer votre ordinateur.<​/note>+==== Chrome ​Chromium ====
  
-===== Nouvelles cartes =====+Ajoutez le support NSS en [[:​tutoriel:​comment_installer_un_paquet|installant le paquet]], **[[apt>​libnss3-tools]]**,​ puis configurez [[:​google_chrome|chrome]] ou [[:​chromium]] avec la commande ''​modutil''​. ​ Il faudra fermer Chrome pour que cette configuration puisse être réalisée.
  
-Dans le cas des nouvelles cartes, la version dans les dépôts provoque ​une erreur (certificat non valide). Il faut installer la toute dernière version manuellement. +Sur une installation 32bits : 
-<note>Testé uniquement sous Lucid</note>+<code>modutil -dbdir sql:​.pki/​nssdb/​ -add "​Belgium eID" -libfile /​usr/​lib/​libbeidpkcs11.so</code>
  
-Allez sur le site officiel du beId à [[http://eid.belgium.be/fr/Comment_installer_l_eID/|cette adresse.]]+Sur une installation 64bits ​: 
 +<​code>​modutil -dbdir sql:.pki/nssdb-add "​Belgium eID" -libfile ​/usr/lib/x86_64-linux-gnu/​libbeidpkcs11.so.0</​code>​
  
-Dans la section Linuxtéléchargez ​la version [Ubuntu 9.10 (TGZ, 7.88 MB)].+Si l'​intégration s'est bien passéele résultat de cette commande (AVEC la carte d'​identité dans le lecteur) :​ <​code>​modutil -dbdir sql:.pki/nssdb/ -list</​code>​ 
 +devrait ressembler à ceci :<​code>​ 
 +Listing of PKCS #11 Modules 
 +----------------------------------------------------------- 
 +  1NSS Internal PKCS #11 Module 
 + slots: 2 slots attached 
 + status: loaded
  
-Après avoir décompressé l'​archive,​ naviguez dans le dossier install et lancer le fichier install.sh par la commande + slot: NSS Internal Cryptographic Services 
-<​code>​sudo ./​install.sh</​code>​+ token: NSS Generic Crypto Services
  
-Ensuite tapez dans une console beidgui pour lancer la nouvelle version (avec un beau logo beId, une icone apparait dans la zone de notification). + slot: NSS User Private Key and Certificate Services 
-<note important>​Attentionla version de Qt installée par cette procédure manuelle casse certains utilitaires basés sur Qt, comme par exemple hp-toolbox (du paquet hplip-gui).</​note>​+ tokenNSS Certificate DB
  
-=== Installation dans Firefox === +  2. Belgium eID 
-Pour l'​installer dans Firefox, utilisez la même méthode (la manuelle) que pour l'​ancienne version en choisissant le fichier "/​usr/​lib/​libbeidpkcs11.so.3.5.3"​ et non la version 2.+ library name: /​usr/​lib/​libbeidpkcs11.so 
 + slots: 1 slot attached 
 + status: loaded
  
-===== Utilisation dans Firefox===== + slot: ACS ACR38U 00 00 
-==== Méthode automatique ==== + token: BELPIC 
-Exécutez le fichier beid-pkcs11-register.html se trouvant dans le répertoire "/​usr/​share/​beid/"​ +----------------------------------------------------------- 
-==== Méthode manuelle ==== +</code>
-[[http://​eid.belgium.be/​fr/​binaries/​eID_LIN_Firefox_FR_tcm146-22464.pdf|Utilisation de l'eID dans Firefox]]+
  
-Ensuite, pour utiliser des applications sécurisées sur internet qui vous demandent de vous authentifier,​ il faut dans firefox :  
  
-Édition > Préférences > Avancé > Chiffrement > Périphériques ​de sécurité > Charger+=====Utilisation===== 
 +  
 +Lancez l'​application nommée **eiD Card Reader** ​ via le [[:​unity#​tableau_de_bord_dash|tableau ​de bord]] (Unity) ou bien via la section //​Accessoires//​ des menus classiques d'​applications.
  
-Comme nom de module, mettre "​Belgium Identity Card PKCS#​11", ​et comme nom de fichier de module, mettre "/​usr/​local/​lib/​libbeidpkcs11.so.2"​ (pour la version 2 installée via les dépôts) ou "/​usr/​local/​lib/​libbeidpkcs11.so.3.5.3"​ (pour la version installée à partir du site officiel beId). +Elle vous permet ​de vérifier le fonctionnement du lecteur en lisant les informations ​et les certificats contenus dans votre carte d'​identité ​et en pouvant changer le code PIN.
-(Remarque, JuanD 01072009: chez moi, Ubuntu 8.04 et 9.04, ce fichier se trouvait sur "/​usr/​lib/​libbeidpkcs11.so.2")+
  
-Ensuitevous pouvez aller voir sur [[https://​readers.eid.belgium.be/​|le site Fedict]] ​et consulter votre dossier par exempleou remplir votre déclaration ​d'impôts...+<note tip>Sans redémarrage du PC, le logiciel de lecture apparaît bien dans le menu et il fonctionne 
 +mais dès que vous essaierez de lire la carte d'identité électronique,​ si une "​erreur inconnue"​ apparaît, redémarrer votre ordinateur  
 +Vous pouvez utiliser la commande suivante pour éviter le redémarrage :​ <​code>​sudo /etc/init.d/pcscd restart</​code>​ 
 +</​note>​ 
 +====Utilisation dans diverses application==== 
 +===Utilisation dans la messagerie Evolution===
  
-<note important>​il faut bien évidemment lancer firefox via [gk]sudo</​note>​+Pour pouvoir signer vos courriels dans [[:​Evolution]], ​il vous faut tout d'​abord installer le module dans [[#Firefox](voir ci-dessus).
  
-===== Utilisation ​dans la messagerie ​Evolution ​=====+Ensuite (Evolution doit être fermé!!!), copiez le fichier //​secmod.db//​ du répertoire de Firefox ​dans le répertoire d'Evolution ​(dossiers cachés) avec la commande suivante dans un [[:​terminal]] :​ 
 +<​code>​cp ~/​.mozilla/​firefox/​dossier_au_nom_aléatoire.default/​secmod.db ~/​.evolution</​code>​
  
-Pour pouvoir signer vos e-mails dans Evolution, il vous faut tout d'​abord l'​activer dans Firefox (voir ci-dessus).+Adaptez //​dossier_au_nom_aléatoire.default//​ à votre nom de dossier.
  
-Ensuite (Evolution doit être fermé!!!), copier le fichier //​secmod.db// ​du répertoire de Firefox ​dans le répertoire ​d'évolution (dossiers cachés). Pour ce faire, utilisez nautilus en mode sudo <​code>​gksudo nautilus<​/code> ou la commande cp en console  +Une fois ce fichier //​secmod.db// ​copié ​dans le dossier ~/​.evolution,​ et **les droits correctement attribués**,​ réouvrez Evolution (lecteur de carte branché et carte d'identité dans le lecteur). Allez dans le menu Edition/préférence/certificat et constatez que vos certificats sont présents
-<​code>​cp ~/.mozilla/​firefox/​dossier_au_nom_aléatoire/​secmod.db ~/​.evolution</​code>​+
  
-Par exemplemon fichier secmod.db se trouvait ​dans ~/.mozilla/firefox/r4ijo032.default.+Ensuite, dans les préférences de votre compte mail (ou de chacun pour ceux qui en possèdent plusieurs), sous l'​onglet sécurité, sélectionnez parcourir pour la signature S/MIME et sélectionnez le module adéquat (authentifier ou signer... suivant que vous désiriez utiliser votre carte pour signer numériquement ou simplement authentifier votre courriel ((Valeur juridique identique à une signature manuscrite, voir [[http://www.belgium.be/​fr/​economie/​commerce_et_consommation/​protection_du_consommateur/​commerce_electronique/​siganture_electronique/​|ici]])) 
 +Il vous faut désormais certifier que vous autorisez le certificat d'​autorité (CA) nommé Belgium root à '​authentifier la validité des certificats'​. Pour ce faire, dans //​Édition->​Préférence->​Certificat//,​ sélectionnez,​ sous l'​onglet '​autorité',​ //belgium root// et éditez-le. Cochez le fait que vous l'​autorisez à identifier les auteurs de mails...
  
-Une fois ce fichier secmod.db copié dans le dossier ~/.evolution, et **les droits correctement attribués**,​ réouvrez ​Evolution ​(lecteur ​de carte branché et carte d'​identité ​dans le lecteur)Allez dans le menu Edition/​préférence/​certificat et constatez que vos certificats sont présents+A présent, lors de l'​écriture d'un courriel, juste avant son envoi, sélectionnez //​Sécurité//​ puis cochez //Signer par S/MIME//, //​Envoyer// ​et là Evolution ​vous demandera votre code PIN de la carte d'​identité...
  
-Ensuite, ​dans les préférences de votre compte mail (ou de chacun pour ceux qui en possèdent plusieurs)sous l'​onglet sécurité, sélectionnez parcourir pour la signature S/MIME et sélectionnez le module adéquat (authentifier ou signer... suivant que vous désiriez utiliser votre carte pour signer numériquement ou simplement authentifier votre email (moindre poids juridique que la signature??​)) +===Utilisation ​dans Thunderbird=== 
-Il vous faut désormais certifier que vous autorisez le certificat ​d'autorité ​(CAnommé Belgium root à '​authentifier la validité des certificats'​Pour ce faire, ​dans '​Edition/Préférence/Certificat'​sélectionnez,​ sous l'onglet ​'autorité', //belgium root// et éditez-le. Cochez le fait que vous l'​autorisez à identifier les auteurs de mails...+Pour pouvoir signer vos courriels dans [[:​Thunderbird]]il vous faut tout d'abord installer le module dans [[#​Firefox]] ​(voir ci-dessus). 
 +Ensuite suit : 
 +  * Allez dans //Préférences->​Préférences->​Avancé->​Certificats->​Périphériques de sécurité//​, 
 +  * Choisissez dans l'encadré à gauche : ''​Module name: Belgium Identity Card PKCS#11 Module filename: /​usr/​lib/​libbeidpkcs11.so'',​ 
 +  * Cliquez sur //Charger//.
  
-Et voilàc'est prêtlors de l'​écriture d'un mailjuste avant son envoisélectionnez ​'sécurité' ​puis cochez ​'signer par S/MIME''envoyer'​ et là evolution vous demandera ​votre code PIN de la carte d'​identité...+Pour Thunderbird 60.7 sous Ubuntu 18.04ensuite suit : 
 +  * Allez dans //​Editer->​comptes//​, 
 +  * Sélectionnez le label //​Sécurité//​ dans le compte souhaité 
 +  * Sur le panneau ​de droitecliquez sur //Security device// 
 +  * Un nouveau panneau souvrechoisissez dans l'encadré à gauche : ''​Module name: Belgium Identity Card PKCS#11 Module filename: ​/usr/​lib/​x86_64-linux-gnu/​libbeidpkcs11.so''​
 +  * Cliquez sur //Charger// - le panneau se ferme. 
 +  * Insérez ​votre carte eID dans le lecteur, 
 +  * Toujour sur le panneau //​sécurité//​ du compte, sélectionnez votre certificat pour la signature ou le chiffrement.
  
-=====Utilisation dans Thunderbird===== +===Utilisation dans LibreOffice===
- +
-Pour signer électroniquement vos courriels, il suffit de suivre la procédure indiqué sur le site de l'​eID. +
- +
-[[http://​eid.belgium.be/​fr/​binaries/​eID_LIN_Thunderbird_FR_tcm146-22460.pdf]] +
- +
-=====Utilisation dans OpenOffice=====+
  
 Vous pouvez indiquer numériquement que vous êtes l'​auteur d'un document Writer ou Calc.  Vous pouvez indiquer numériquement que vous êtes l'​auteur d'un document Writer ou Calc. 
-La procédure détaillée (en images) est très simple ​et est fournie ​sur le site de l'​eID. ​Il n'y a rien à installer pour son utilisation ! +Après avoir créé le document dans [[:​LibreOffice]] et l'​avoir sauvé sur disque (obligatoire),​ choisissez le menu //Fichier -> Signatures numériques//​.\\ 
 +La procédure détaillée (en images) est très simple, vous pouvez la trouver ​sur [[http://​test.eid.belgium.be/​faq/​faq_fr.htm#​Comment_signer_un_document_dans_LibreOffice_.3F|le site de l'eID]].
  
-[[http://eid.belgium.be/fr/binaries/eID_LIN_OpenOffice_FR_tcm146-22459.pdf]]+===Utilisation dans Acrobat Reader === 
 +Il est obligatoire en Belgique de signer les documents PDF  concernant les déclarations fiscales. Pour pouvoir le faire avec [[:acroread|Acrobat Reader]]. 
 +Il faut aller dans //Document -> Paramètres -> PKCS #11// et ajouter le module ''/​usr/​lib/​libbeidpkcs11.so''​ ou /usr/lib/libbeidpkcs11.so.3 avec la nouvelle version.
  
-=====Utilisation dans Acrobat Reader ===== 
-Il est obligatoire en Belgique de signer les documents PDF  concernant les déclarations fiscales. Pour pouvoir le faire avec [[:​acroread|AcrobatReader]]. 
-Il faut aller dans 
-Document -> paramètre -> PKCS #11 et ajouter le module /​usr/​lib/​libbeidpkcs11.so ​ 
-<note tip>/​usr/​lib/​libbeidpkcs11.so.2 sous Hardy</​note>​ 
-<note warning>​A la signature du PDF on vous demande sous quel nom enregistrer le document, vous devez donner le nom du document ouvert, et donc accepter de l'​écraser</​note>​ 
  
-=====Acquérir un lecteur===== +<note warning>​À ​la signature du PDF on vous demande sous quel nom enregistrer le document, vous devez donner le nom du document ouvert, et donc accepter de l'écraser<​/note>
-Pour connaitre ​la liste des lecteurs utilisable avec la carte d'identité électronique,​ voyez [[http://​www.cardreaders.be/​fr/defaultCATALOGUES.htm|cette liste]].+
  
-De nombreuses communes en distribuent ​également, renseignez-vous auprès ​de la votre.+Le gouvernement belge propose ​également de signer ses pdf en ligne (on les téléverse,​ et ils nous les reproposent au téléchargement,​ signés). Le service se trouve à l'​adresse suivante: ''​https://​sign.belgium.be/''​.
  
 +===== Problèmes connus =====
  
-Le modèle Smart Card Reader ACR38U-CFC-BLI fonctionne parfaitement avec cette méthode. 
  
-=====Applications===== +==== Conflit de Firefox avec Apparmor ​====
-Une carte interactive reprend toutes les applications possible de la carte pour les services d'une commune donnée.+
  
-[[http://map.eid.belgium.be/fr.html|voir la carte...]] +Apparmor est un programme surveillant certains programmes, dont Firefox, pour les empêcher de faire des choses non prévues, surtout en cas d'​attaque par un virus. 
- +Malheureusement,​ Apparmor ne prévoit pas que Firefox puisse faire accès à un lecteur de carte, du moins d'une certaine manière. 
-[[https://www.mondossier.rrn.fgov.be|Accéder à votre dossier du registre national]] **ATTENTION ​:** nécessite ​d'avoir la carte dans le lecteur et ce dernier raccordée à l'​ordinateur pour accéder au site... sinon une erreur du type "serveur indisponible" ​apparait+Si vous observez dans le journal (log) de votre système des messages comme ceci : 
- +<​code>​ 
-[[https://www.taxonweb.be|Remplir sa déclaration ​d'​impôts]]+kernel: ​2614.129968] type=1503 audit(1310392211.087:64):  operation="​open"​ pid=6150 parent=1 profile="​/usr/lib/​firefox-3.6.18/firefox-*bin"​ requested_mask="::​r"​ denied_mask="::​r"​ fsuid=1000 ouid=0 name="/​var/​run/​pcscd/​pcscd.pid" 
 +kernel: ​2614.130016] type=1503 audit(1310392211.087:65):  operation="​open"​ pid=6150 parent=1 profile="​/usr/lib/​firefox-3.6.18/​firefox-*bin"​ requested_mask="::​r"​ denied_mask="::​r"​ fsuid=1000 ouid=0 name="/​var/​run/​pcscd/​pcscd.pub" 
 +kernel: [ 4421.849208type=1503 audit(1310394018.807:76):  operation="​exec"​ pid=6934 parent=6897 profile="/​usr/​lib/​firefox-3.6.18/​firefox-*bin" requested_mask="​x::"​ denied_mask="​x::"​ fsuid=1000 ouid=1000 name="/​tmp/​.raised-beid-askaccess"​ 
 +</​code>​ 
 +Ajoutez les lignes suivantes en tête de /​etc/​apparmor.d/usr.bin.firefox ​ (p.ex.: après ​"for networking"
 +<​code>​ 
 +# pour BeID: 
 +/​var/​run/​pcscd/​pcscd.* r, 
 +/tmp/* ix, 
 +</​code>​ 
 +Puis, tapez la commmande: 
 +<​code>​ 
 +sudo apparmor_parser -r /etc/apparmor.d/​usr.bin.firefox 
 +</​code>​
  
 =====Voir aussi===== =====Voir aussi=====
- +  ​* [[http://www.bxlug.be/?​Installer-Eid-lecteur-de-carte-d|Page Complémentaire à ce tutoriel]], 
-  ​* [[http://users.telenet.be/mydotcom/​howto/​linux/​ubuntubelpic.htm|Procédure détaillée pour Dapper Drake]] (en anglais) +  * [[https://​eid.belgium.be/​fr/​quest-ce-que-la-eid|Page générale d'​information sur la carte d'​identité électronique belge ]] 
-  * [[http://​homes.esat.kuleuven.be/​~decockd/​wiki/​bin/​view.cgi/​Main/​Presentations|infos techniques sur la carte d'​identité belge]] (en anglais) +  * [[http://xubuntu.fr/forum/​viewtopic.php?f=2&​t=2674|une procédure simple et efficace sur xubuntu.fr]] 
-  * [[http://​www.acs.com.hk/​acr38_driversmanual.asp|drivers et manuels du constructeur]] +  * [[http://​wiki.yobi.be/wiki/Belgian_eID|le wiki Yobi]]. 
-  * [[http://​eid.belgium.be/​fr/​navigation/​12000/​index.html ​| Page générale d'​information sur la carte d'​identité électronique belge ]] +  
-  * [[http://bugzilla.gnome.org/show_bug.cgi?id=253574 ​Page de bugzilla.gnome concernant l'​utilisation dans evolution ​]] +FIXME  Tester ​la page https://mart-e.be/post/2012/02/14/beid-linux-1, la deuxième partie propose ​une méthode pour signer ​les PDF avec EID.
-  * [[http://​wiki.services.openoffice.org/wiki/How_to_use_digital_Signatures ​How to use digital Signatures]] (en anglais) +
- +
-===== Remarque à placer au bon endroit dans la page (ou à supprimer si besoin) ===== +
- +
-<note important>​**L'​installation du middelware 3.5.x crée des problèmes avec les librairies Qt.** Les utilisateurs de GNOME auront des problèmes d'​affichage avec VLC et ne pourront plus ouvrir Skype, par exemple. Mais pour les utilisateurs de KDE, c'est carrément dangereux: **ils ne pourront tout simplement plus ouvrir leur session!** Restons-en donc à la méthode d'​installation officielle. Si vous désirez détailler l'​installation de la nouvelle version, faites-le dans un paragraphe séparé en précisant bien les dangers ou créez une nouvelle page.</​note>​ +
- +
-<note tip>Pour mon ubuntu 9.04, j'ai trouvé [[https://bugs.launchpad.net/ubuntu/+source/qt4-x11/+bug/115970/comments/​32|sur ce forum]] ​une solution au problème Qt4 de vlc skype et des autres (par exemple dolphin qui ne se lance plus): **il suffit de supprimer ​les fichiers libQtCore.so.4 et libQtGui.so.4 du répertoire /​usr/​local/​lib puis de faire un sudo ldconfig** et tout rentre dans l'​ordre.</​note>​+
  
 ---- ----
-//​Contributeurs principaux: Efhache84 (installation dans evolution), [[utilisateurs:​equipc]] (remise en forme, utilisation dans Thunderbird et OpenOffice),​ Humanlord, [[:​utilisateurs:​efhache84|Efhache84]] (utilisation dans Evolution) [[:​utilisateurs:​sparky]] (Signature avec Acrobat) // 
  
 +//​Contributeurs principaux: [[:​utilisateur:​svergeylen]] Refonte pour Ubuntu 14.04 LTS ; [[utilisateurs:​equipc]] utilisation dans Thunderbird et OpenOffice ;
 +[[:​utilisateurs:​efhache84|Efhache84]] (utilisation dans Evolution) ; [[:​utilisateurs:​sparky]] (Signature avec Acrobat) ; [[:​utilisateurs:​A Pirard|André]] (Version 4, conflit Firefox avec Apparmor, danger de apturl).
 + //
  • tutoriel/utiliser_carte_identite_electronique_belge.1276718244.txt.gz
  • Dernière modification: Le 18/04/2011, 14:50
  • (modification externe)